
%global pypi_name keras-preprocessing

Name:           python-%{pypi_name}
Version:        1.0.9
Release:        1%{?dist}
Summary:        Data preprocessing and augmentation package for deep learning models
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/keras-team/keras-preprocessing
Source0:        https://github.com/keras-team/keras-preprocessing/archive/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
BuildRequires:	python3dist(numpy) >= 1.9.1
BuildRequires:	python3dist(six) >= 1.9.0
BuildRequires:	python3dist(pytest-cov)
BuildRequires:	python3dist(pytest-xdist)
BuildRequires:	python3dist(pytest)
BuildRequires:	python3dist(setuptools)

%description
Keras Preprocessing is the data preprocessing and data augmentation
module of the Keras deep learning library. It provides utilities for
working with image data, text data, and sequence data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_enable_dependency_generator}

%description -n python3-%{pypi_name}
Keras Preprocessing is the data preprocessing and data augmentation
module of the Keras deep learning library. It provides utilities for
working with image data, text data, and sequence data.

%prep
%setup -q -n keras-preprocessing-%{version}

%build
%py3_build

%check
%{__python3} setup.py test

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/keras_preprocessing
%{python3_sitelib}/Keras_Preprocessing-%{version}-py?.?.egg-info


%changelog
* Sat Mar 16 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 1.0.9-1
- Reworked for Fedora
- Updated to upstream
* Sat Mar 02 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 1.0.5-2
- Ported spec from OpenSuse

* Wed Nov 14 2018 Todd R <toddrme2178@gmail.com>
- Initial version
